Package org.flowable.task.api.history

# Interface HistoricTaskLogEntryBuilder

public interface HistoricTaskLogEntryBuilder
Interface to create and add task log entry

Author:
  martin.grofcik

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `create()`
  `HistoricTaskLogEntryBuilder`
  `data(String data)`
  `HistoricTaskLogEntryBuilder`
  `executionId(String executionId)`
  `String`
  `getData()`
  `String`
  `getExecutionId()`
  `String`
  `getProcessDefinitionId()`
  `String`
  `getProcessInstanceId()`
  `String`
  `getScopeDefinitionId()`
  `String`
  `getScopeId()`
  `String`
  `getScopeType()`
  `String`
  `getSubScopeId()`
  `String`
  `getTaskId()`
  `String`
  `getTenantId()`
  `Date`
  `getTimeStamp()`
  `String`
  `getType()`
  `String`
  `getUserId()`
  `HistoricTaskLogEntryBuilder`
  `processDefinitionId(String processDefinitionId)`
  `HistoricTaskLogEntryBuilder`
  `processInstanceId(String processInstanceId)`
  `HistoricTaskLogEntryBuilder`
  `scopeDefinitionId(String scopeDefinitionId)`
  `HistoricTaskLogEntryBuilder`
  `scopeId(String scopeId)`
  `HistoricTaskLogEntryBuilder`
  `scopeType(String scopeType)`
  `HistoricTaskLogEntryBuilder`
  `subScopeId(String subScopeId)`
  `HistoricTaskLogEntryBuilder`
  `taskId(String taskId)`
  `HistoricTaskLogEntryBuilder`
  `tenantId(String tenantId)`
  `HistoricTaskLogEntryBuilder`
  `timeStamp(Date timeStamp)`
  `HistoricTaskLogEntryBuilder`
  `type(String type)`
  `HistoricTaskLogEntryBuilder`
  `userId(String userId)`

- ## Method Details

  - ### taskId

    HistoricTaskLogEntryBuilder taskId(String taskId)

  - ### type

    HistoricTaskLogEntryBuilder type(String type)

  - ### timeStamp

    HistoricTaskLogEntryBuilder timeStamp(Date timeStamp)

  - ### userId

    HistoricTaskLogEntryBuilder userId(String userId)

  - ### processInstanceId

    HistoricTaskLogEntryBuilder processInstanceId(String processInstanceId)

  - ### processDefinitionId

    HistoricTaskLogEntryBuilder processDefinitionId(String processDefinitionId)

  - ### executionId

    HistoricTaskLogEntryBuilder executionId(String executionId)

  - ### scopeId

    HistoricTaskLogEntryBuilder scopeId(String scopeId)

  - ### scopeDefinitionId

    HistoricTaskLogEntryBuilder scopeDefinitionId(String scopeDefinitionId)

  - ### subScopeId

    HistoricTaskLogEntryBuilder subScopeId(String subScopeId)

  - ### scopeType

    HistoricTaskLogEntryBuilder scopeType(String scopeType)

  - ### tenantId

    HistoricTaskLogEntryBuilder tenantId(String tenantId)

  - ### data

    HistoricTaskLogEntryBuilder data(String data)

  - ### getType

    String getType()

  - ### getTaskId

    String getTaskId()

  - ### getTimeStamp

    Date getTimeStamp()

  - ### getUserId

    String getUserId()

  - ### getData

    String getData()

  - ### getExecutionId

    String getExecutionId()

  - ### getProcessInstanceId

    String getProcessInstanceId()

  - ### getProcessDefinitionId

    String getProcessDefinitionId()

  - ### getScopeId

    String getScopeId()

  - ### getScopeDefinitionId

    String getScopeDefinitionId()

  - ### getSubScopeId

    String getSubScopeId()

  - ### getScopeType

    String getScopeType()

  - ### getTenantId

    String getTenantId()

  - ### create

    void create()